import java.awt.*;

    // Display a range of labels in order to illustrate different
    // font styles.
class FontStyles extends Frame {
    public FontStyles(){
        final int width = 275, height = 125;
        setSize(width,height);
        setBackground(Color.white);

        final int[] styles = {
            Font.PLAIN, Font.BOLD, Font.ITALIC,
        };

        // Use the same font size for each example
        final int fontSize = 16;

        // Use a GridLayout in the frame.
        setLayout(new GridLayout(1,styles.length));

        // Create a label for each name/style combination
        // given above.
        for(int style = 0; style < styles.length; style++){
            Font font = new Font("Dialog",styles[style],fontSize);
            Label label = new Label(font.getName(),Label.CENTER);
            label.setFont(font);
            add(label);
        }
    }
}
