import java.util.*;

    // Demonstrate modifying iteration over a collection.
class IteratorMain2 {
    public static void main(String[] args){
        // Create a small list of numbers.
        ArrayList list = new ArrayList();
        list.add(new Integer(3));
        list.add(new Integer(-7));
        list.add(new Integer(5));
        list.add(new Integer(9));

        // Iterate over the list, removing negative values.
        Iterator numbers = list.iterator();
        while(numbers.hasNext()){
            Integer num = (Integer) numbers.next();
            if(num.intValue() < 0){
                numbers.remove();
            }
        }

        // Now show what remains.
        numbers = list.iterator();
        while(numbers.hasNext()){
            Integer num = (Integer) numbers.next();
            System.out.print(num.intValue()+" ");
        }
        System.out.println();
    }
}
