        // A heater controller with only on/off capability.
class HeaterController {
        // Public status mutators.
    public void switchOn(){
        setOn(true);
    }

    public void switchOff(){
        setOn(false);
    }

        // Enquiry method.
    public boolean isOn(){
        return getOn();
    }

        // Protected (non-public) internal methods.
    protected boolean getOn(){
        return on;
    }
    
    protected void setOn(boolean state){
        if(on != state){
            // A change of state.
            on = state;
        }
        // Make sure that the heater always matches this state.
        getHeater().setOn(on);
    }

    protected Heater getHeater(){
        return heater;
    }

    // The (GUI) device to which we are attached.
    private final Heater heater = new Heater();
    
    // The current state of the heater.
    private boolean on;
    {    // Make sure the heater is initially off.
         switchOff();
    }
}
