    // Test different implementations of the VCR interface.
class VideoTester2 {
    public void cheapVideoTest(){
        System.out.println("Testing the cheap video player.");
        videoTest(new NoFrillsVCR(),"Gone with the Wind");
    }

    public void expensiveVideoTest(){
        System.out.println("Testing the expensive video player.");
        videoTest(new UpMarketVCR(),"Closely Observed Trains");
    }

        // Test any implementation of the VCR interface.
    private void videoTest(VCR vcr,String tape){
        if(vcr.loadTape(tape)){
            if(vcr.play()){
                System.out.println("Playing ...");
            }
            // Test other functions, too ...
        }
        else{
            System.out.println("Failed to load: "+tape);
        }
    }
}
