        // Record an (x,y) coordinate position.
class Position {
    public Position(double x, double y){
        this.x = x;
        this.y = y;
    }

    public double getX(){
        return x;
    }

    public double getY(){
        return y;
    }

    public String toString(){
        return "("+getX()+","+getY()+")";
    }

    public boolean equals(Object o){
        if(o == null){
            return false;
        }
        else if(o instanceof Position){
            Position p = (Position) o;
            return (getX() == p.getX()) && (getY() == p.getY());
        }
        else{
            return false;
        }
    }

    private final double x, y;
}
