import java.util.Date;
import java.text.*;

class DateMain1 {
    public static void main(String[] args){
        // Obtain a Date object for now.
        Date now = new Date();
        // Use the default format for the current locale.
        DateFormat formatter = DateFormat.getDateInstance();
        System.out.println("Default:    "+formatter.format(now));
        // Select short format, for the UK.
        formatter = DateFormat.getDateInstance(DateFormat.SHORT,java.util.Locale.UK);
        System.out.println("Short (UK): "+formatter.format(now));
        // Demonstrate the MEDIUM, LONG and FULL formats for the current locale.
        formatter = DateFormat.getDateInstance(DateFormat.MEDIUM);
        System.out.println("Medium:     "+formatter.format(now));
        formatter = DateFormat.getDateInstance(DateFormat.LONG);
        System.out.println("Long:       "+formatter.format(now));
        formatter = DateFormat.getDateInstance(DateFormat.FULL);
        System.out.println("Full:       "+formatter.format(now));
    }
}
