    // Demonstrate that, Strings are treated entirely
    // differently from other objects :-(
class SameString {
    public static void main(String[] args){
        String s1 = "dog";
        String s2 = "It's a dog's life";
        String s3 = "dog";

        // Demonstrate that identical literals share the same reference.
        if(s1 == s2){
            System.out.println("s1 == s2");
        }
        if(s1 == s3){
            System.out.println("s1 == s3");
        }
        if(s1 == "dog"){
            System.out.println("s1 == \"dog\"");
        }

        // Now show where things start to go wrong.
        String doggy = new String(s1);
        if(s1 == doggy){
            System.out.println("s1 == doggy");
        }

        SimpleInput keyboard = new SimpleInput();
        System.out.println("Dog or cat?");
        String userDog = keyboard.nextWord();
        if(s1 == userDog){
            System.out.println(s1);
        }
        else{
            System.out.println("You didn't type dog.");
        }
    }
}
