    /* A minder class for the (bug-ridden) BarChart class.
     * Try to make the BarChart object, passed to the constructor,
     * more usable by protecting it from silly values.
     */
class BarChartMinder {
        // Look after the given chart.
    public BarChartMinder(BarChart c){
        setChart(c);
    }

        // Add the given value into the chart.
    public void addToChart(int value){
        BarChart display = getChart();
        display.addValue(value);
    }

    private BarChart getChart(){
        return chart;
    }

    private void setChart(BarChart c){
        chart = c;
    }

    // The chart to be looked after. This must be initialised
    // by this class's constructor.
    private BarChart chart;
}
