import java.awt.*;

    // Contain multiple buttons within a Frame using a FlowLayout.
class FlowFrame extends Frame {
    public FlowFrame(){
        final int width = 125, height = 225;
        setSize(width,height);
        setBackground(Color.white);

        // Use a FlowLayout layout manager instead of BorderLayout.
        setLayout(new FlowLayout());

        // Use a larger font for the buttons.
        setFont(new Font("SansSerif",Font.BOLD,16));

        // Add an arbitrary number of (non-operational) buttons,
        // in this case ten.
        final int numButtons = 10;
        for(int b = 0; b < numButtons; b++){
            add(new Button(""+b));
        }
    }
}
