import java.util.Locale;

class LocaleMain1 {
    public static void main(String[] args){
        // Show details of the default locale.
        showLocale();
        // Set a different default.
        Locale.setDefault(Locale.GERMANY);
        showLocale();
    }

        // Print details of the default locale.
    public static void showLocale(){
        Locale loc = Locale.getDefault();
        System.out.print(loc.getDisplayCountry()+", ");
        System.out.print(loc.getDisplayLanguage()+", ");
        System.out.print(loc.getDisplayName()+", ");
        System.out.println(loc.getDisplayVariant());
        System.out.print(loc.getISO3Country()+", ");
        System.out.println(loc.getISO3Language());
    }
}
