class PoorAuthor implements Runnable {
    public PoorAuthor(Object paper, Object pen){
        this.paper = paper;
        this.pen = pen;
    }

        // Use the pen and paper for writing.
    public void run(){
        Object paper = getPaper();
        Object pen = getPen();
        // Find out my name.
        String myName = Thread.currentThread().getName();

        while(true){
            // Lock both the pen and paper.
            synchronized(paper){
                synchronized(pen){
                    System.out.println(myName+" gets some writing done.");
                    // Release the pen and paper.
                }
            }
            // Take a break.
            try{
                Thread.sleep(100);
            }
            catch(InterruptedException e){
            }
        }
    }

    protected Object getPen(){
        return pen;
    }

    protected Object getPaper(){
        return paper;
    }

    private final Object paper, pen;
}
